Loading...
Searching...
No Matches
casacore::DefaultAllocator< T > Class Template Reference

An aligned allocator with the default alignment. More...

`#include <Allocator.h>`

## Public Types

typedef AlignedAllocator< T >::type | type
Public Types inherited from casacore::AlignedAllocator< T, ALIGNMENT >
typedef casacore_allocator< T, ALIGNMENT > | type
Public Types inherited from casacore::BaseAllocator< T, AlignedAllocator< T, CASA_DEFAULT_ALIGNMENT > >
typedef T | value_type
typedef AlignedAllocator< T, CASA_DEFAULT_ALIGNMENT > | facade_type
Public Types inherited from casacore::AbstractAllocator< T >
typedef T | value_type

## Static Public Attributes

static DefaultAllocator< T > | value
| an instance of this allocator.
Static Public Attributes inherited from casacore::AlignedAllocator< T, ALIGNMENT >
static AlignedAllocator< T, ALIGNMENT > | value
| an instance of this allocator.

## Protected Member Functions

| DefaultAllocator ()
Protected Member Functions inherited from casacore::AlignedAllocator< T, ALIGNMENT >
| AlignedAllocator ()
Protected Member Functions inherited from casacore::BaseAllocator< T, AlignedAllocator< T, CASA_DEFAULT_ALIGNMENT > >
| BaseAllocator ()
virtual Allocator_private::BulkAllocator< T > * | getAllocator () const override
Protected Member Functions inherited from casacore::AbstractAllocator< T >
| AbstractAllocator ()

## Additional Inherited Members

Public Member Functions inherited from casacore::BaseAllocator< T, AlignedAllocator< T, CASA_DEFAULT_ALIGNMENT > >
virtual | ~BaseAllocator ()
Public Member Functions inherited from casacore::AbstractAllocator< T >
virtual | ~AbstractAllocator ()

## Detailed Description

template<typename T>
class casacore::DefaultAllocator< T >

An aligned allocator with the default alignment.

Definition at line 385 of file Allocator.h.

## Member Typedef Documentation

## type

template<typename T>

typedef AlignedAllocator<T>::type casacore::DefaultAllocator< T >::type

Definition at line 387 of file Allocator.h.

## Constructor & Destructor Documentation

## DefaultAllocator()

template<typename T>

casacore::DefaultAllocator< T >::DefaultAllocator | ( |  | ) |

inline protected

Definition at line 391 of file Allocator.h.

## Member Data Documentation

## value

template<typename T>

DefaultAllocator<T> casacore::DefaultAllocator< T >::value

static

an instance of this allocator.

Definition at line 389 of file Allocator.h.

The documentation for this class was generated from the following file:

- casa/Containers/Allocator.h